com.trendmicro.ds.platform.rest.object.util

## Class FeatureSummaryDetailElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.FeatureSummaryDetailElement

-     public class FeatureSummaryDetailElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureSummaryDetailElement()`
    `FeatureSummaryDetailElement(java.lang.String featureName, long protectedComputerNum, long totalEventNum, long preventedEventNum, long detectedEventNum, long previousTotalEventNum, long previousPreventedEventNum, long previousDetectedEventNum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDetectedEventNum()` Gets the detectedEventNum value for this FeatureSummaryDetailElement.
    `java.lang.String` | `getFeatureName()` Gets the featureName value for this FeatureSummaryDetailElement.
    `long` | `getPreventedEventNum()` Gets the preventedEventNum value for this FeatureSummaryDetailElement.
    `long` | `getPreviousDetectedEventNum()` Gets the previousDetectedEventNum value for this FeatureSummaryDetailElement.
    `long` | `getPreviousPreventedEventNum()` Gets the previousPreventedEventNum value for this FeatureSummaryDetailElement.
    `long` | `getPreviousTotalEventNum()` Gets the previousTotalEventNum value for this FeatureSummaryDetailElement.
    `long` | `getProtectedComputerNum()` Gets the protectedComputerNum value for this FeatureSummaryDetailElement.
    `long` | `getTotalEventNum()` Gets the totalEventNum value for this FeatureSummaryDetailElement.
    `void` | `setDetectedEventNum(long detectedEventNum)` Sets the detectedEventNum value for this FeatureSummaryDetailElement.
    `void` | `setFeatureName(java.lang.String featureName)` Sets the featureName value for this FeatureSummaryDetailElement.
    `void` | `setPreventedEventNum(long preventedEventNum)` Sets the preventedEventNum value for this FeatureSummaryDetailElement.
    `void` | `setPreviousDetectedEventNum(long previousDetectedEventNum)` Sets the previousDetectedEventNum value for this FeatureSummaryDetailElement.
    `void` | `setPreviousPreventedEventNum(long previousPreventedEventNum)` Sets the previousPreventedEventNum value for this FeatureSummaryDetailElement.
    `void` | `setPreviousTotalEventNum(long previousTotalEventNum)` Sets the previousTotalEventNum value for this FeatureSummaryDetailElement.
    `void` | `setProtectedComputerNum(long protectedComputerNum)` Sets the protectedComputerNum value for this FeatureSummaryDetailElement.
    `void` | `setTotalEventNum(long totalEventNum)` Sets the totalEventNum value for this FeatureSummaryDetailElement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureSummaryDetailElement

          public FeatureSummaryDetailElement()

    - #### FeatureSummaryDetailElement

          public FeatureSummaryDetailElement(java.lang.String featureName,
                                             long protectedComputerNum,
                                             long totalEventNum,
                                             long preventedEventNum,
                                             long detectedEventNum,
                                             long previousTotalEventNum,
                                             long previousPreventedEventNum,
                                             long previousDetectedEventNum)

  - ### Method Detail

    - #### getFeatureName

          public java.lang.String getFeatureName()

      Gets the featureName value for this FeatureSummaryDetailElement.
      Returns:
        featureName

    - #### setFeatureName

          public void setFeatureName(java.lang.String featureName)

      Sets the featureName value for this FeatureSummaryDetailElement.
      Parameters:
        `featureName` -

    - #### getProtectedComputerNum

          public long getProtectedComputerNum()

      Gets the protectedComputerNum value for this FeatureSummaryDetailElement.
      Returns:
        protectedComputerNum

    - #### setProtectedComputerNum

          public void setProtectedComputerNum(long protectedComputerNum)

      Sets the protectedComputerNum value for this FeatureSummaryDetailElement.
      Parameters:
        `protectedComputerNum` -

    - #### getTotalEventNum

          public long getTotalEventNum()

      Gets the totalEventNum value for this FeatureSummaryDetailElement.
      Returns:
        totalEventNum

    - #### setTotalEventNum

          public void setTotalEventNum(long totalEventNum)

      Sets the totalEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `totalEventNum` -

    - #### getPreventedEventNum

          public long getPreventedEventNum()

      Gets the preventedEventNum value for this FeatureSummaryDetailElement.
      Returns:
        preventedEventNum

    - #### setPreventedEventNum

          public void setPreventedEventNum(long preventedEventNum)

      Sets the preventedEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `preventedEventNum` -

    - #### getDetectedEventNum

          public long getDetectedEventNum()

      Gets the detectedEventNum value for this FeatureSummaryDetailElement.
      Returns:
        detectedEventNum

    - #### setDetectedEventNum

          public void setDetectedEventNum(long detectedEventNum)

      Sets the detectedEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `detectedEventNum` -

    - #### getPreviousTotalEventNum

          public long getPreviousTotalEventNum()

      Gets the previousTotalEventNum value for this FeatureSummaryDetailElement.
      Returns:
        previousTotalEventNum

    - #### setPreviousTotalEventNum

          public void setPreviousTotalEventNum(long previousTotalEventNum)

      Sets the previousTotalEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `previousTotalEventNum` -

    - #### getPreviousPreventedEventNum

          public long getPreviousPreventedEventNum()

      Gets the previousPreventedEventNum value for this FeatureSummaryDetailElement.
      Returns:
        previousPreventedEventNum

    - #### setPreviousPreventedEventNum

          public void setPreviousPreventedEventNum(long previousPreventedEventNum)

      Sets the previousPreventedEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `previousPreventedEventNum` -

    - #### getPreviousDetectedEventNum

          public long getPreviousDetectedEventNum()

      Gets the previousDetectedEventNum value for this FeatureSummaryDetailElement.
      Returns:
        previousDetectedEventNum

    - #### setPreviousDetectedEventNum

          public void setPreviousDetectedEventNum(long previousDetectedEventNum)

      Sets the previousDetectedEventNum value for this FeatureSummaryDetailElement.
      Parameters:
        `previousDetectedEventNum` -

Copyright © 2015 Trend Micro Inc. All Rights Reserved.